Texa Desk Application API · Conversations
Conversations Filter
POST/
Filter conversations with custom filter options and pagination
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
Query parameters
pagenumbersort_bystringSort filtered conversations using the same options as the conversation list.
Body application/json
payloadarray of objectpayload[].attribute_keystringfilter attribute name
payload[].filter_operatorstringfilter operator name One of: equal_to, not_equal_to, contains, does_not_contain.
payload[].valuesarray of stringarray of the attribute values to filter
payload[].query_operatorstringquery operator name One of: AND, OR.
Responses
200Success
dataobjectdata.metaobjectdata.meta.mine_countnumberdata.meta.unassigned_countnumberdata.meta.assigned_countnumberdata.meta.all_countnumberdata.payloadarray of objectarray of conversations
data.payload[].idnumberID of the conversation
data.payload[].messagesarray of objectdata.payload[].account_idnumberAccount Id
data.payload[].uuidstringUUID of the conversation
data.payload[].additional_attributesobjectThe object containing additional attributes related to the conversation
data.payload[].agent_last_seen_atnumberThe last activity at of the agent
data.payload[].assignee_last_seen_atnumberThe last activity at of the assignee
data.payload[].can_replybooleanWhether the conversation can be replied to
data.payload[].contact_last_seen_atnumberThe last activity at of the contact
data.payload[].custom_attributesobjectThe object to save custom attributes for conversation, accepts custom attributes key and value
data.payload[].inbox_idnumberID of the inbox
data.payload[].labelsarray of stringThe labels of the conversation
data.payload[].mutedbooleanWhether the conversation is muted
data.payload[].snoozed_untilnumberThe time at which the conversation will be unmuted
data.payload[].statusstringThe status of the conversation One of: open, resolved, pending.
data.payload[].created_atnumberThe time at which conversation was created
data.payload[].updated_atnumberThe time at which conversation was updated
data.payload[].timestampnumberThe time at which conversation was created
data.payload[].first_reply_created_atnumberThe time at which the first reply was created
data.payload[].unread_countnumberThe number of unread messages
data.payload[].last_non_activity_messageobject or nullThe last non activity message
data.payload[].last_activity_atnumberThe last activity at of the conversation
data.payload[].prioritystringThe priority of the conversation
data.payload[].waiting_sincenumberThe time at which the conversation was waiting
data.payload[].sla_policy_idnumberThe ID of the SLA policy
data.payload[].applied_slaobjectThe applied SLA
data.payload[].sla_eventsarray of objectdata.payload[].metaobject400Bad Request Error
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring